> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amazonomics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available periods



## OpenAPI

````yaml /api-reference/openapi.json get /v1/periods
openapi: 3.0.0
info:
  title: Amazonomics API
  version: 0.0.1
  description: The Amazonomics REST API. All endpoints need an API key.
servers:
  - url: https://api.amazonomics.com
security:
  - bearerAuth: []
paths:
  /v1/periods:
    get:
      tags:
        - Metadata
      summary: List available periods
      parameters:
        - schema:
            $ref: '#/components/schemas/PeriodType'
          required: false
          name: type
          in: query
        - schema:
            $ref: '#/components/schemas/PeriodScope'
          required: false
          name: scope
          in: query
      responses:
        '200':
          description: Periods listed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PeriodListResponse'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PeriodListResponse'
components:
  schemas:
    PeriodType:
      type: string
      enum:
        - D
        - M
        - W
      default: M
    PeriodScope:
      type: string
      enum:
        - data
        - trends
      default: data
    PeriodListResponse:
      type: object
      properties:
        periods:
          type: array
          items:
            type: string
        error:
          type: object
          nullable: true
          properties:
            code:
              type: string
            message:
              type: string
            hint:
              type: string
            docs:
              type: string
          required:
            - code
            - message
      required:
        - periods
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````